Package fr.gouv.vitam.worker.core.plugin.probativevalue.pojo

# Enum Class ChecksInformation.ChecksType

java.lang.Object
java.lang.Enum<ChecksInformation.ChecksType>
fr.gouv.vitam.worker.core.plugin.probativevalue.pojo.ChecksInformation.ChecksType

All Implemented Interfaces:
  `Serializable`, `Comparable<ChecksInformation.ChecksType>`, `Constable`

Enclosing class:
  `ChecksInformation`

public static enum ChecksInformation.ChecksType extends Enum<ChecksInformation.ChecksType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CHAIN`
  `LOCAL_INTEGRITY`
  `MERKLE_INTEGRITY`
  `TIMESTAMP_CHECKING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChecksInformation.ChecksType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ChecksInformation.ChecksType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LOCAL_INTEGRITY

    public static final ChecksInformation.ChecksType LOCAL_INTEGRITY

  - ### MERKLE_INTEGRITY

    public static final ChecksInformation.ChecksType MERKLE_INTEGRITY

  - ### TIMESTAMP_CHECKING

    public static final ChecksInformation.ChecksType TIMESTAMP_CHECKING

  - ### CHAIN

    public static final ChecksInformation.ChecksType CHAIN

- ## Method Details

  - ### values

    public static ChecksInformation.ChecksType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ChecksInformation.ChecksType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null